// AlarmRecord.java

package org.objectweb.alarm.beans;

import java.rmi.RemoteException;
import javax.ejb.EJBObject;

/**
 * AlarmRecord remote interface
 */
public interface AlarmRecord extends EJBObject {
    public void update(int s) throws RemoteException;
    public void forget() throws RemoteException;
    public void setProcessed() throws RemoteException;
    public String getFrom() throws RemoteException;
    public int getSeverity() throws RemoteException;
    public int getCount() throws RemoteException;
    public int getAlarmCount() throws RemoteException;
    public int getNewIdent() throws RemoteException;
    public AlarmData getAlarmData() throws RemoteException;
}
